Get Debug Information Related to Source Maps for a Given Event

GET /api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/events/{event_id}/source-map-debug/

Return a list of source map errors for a given event.

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

project_id_or_slug (string)
REQUIRED

The ID or slug of the project the resource belongs to.

event_id (string)
REQUIRED

The ID of the event. It is a 32-character hexadecimal string as reported by the client.

Scopes

<auth_token> requires one of the following scopes:
  • project:admin
  • project:read
  • project:write
Copied
curl https://sentry.io/api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/events/{event_id}/source-map-debug/ \
 -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied
{ "dist": "1.0.0", "release": "frontend@1.0.0", "exceptions": [ { "frames": [ { "debug_id_process": { "debug_id": "f206e0e7-3d0c-41cb-bccc-11b716728e27", "uploaded_source_file_with_correct_debug_id": true, "uploaded_source_map_with_correct_debug_id": true }, "release_process": { "abs_path": "https://example.com/static/js/main.js", "matching_source_file_names": [ "~/static/js/main.js" ], "matching_source_map_name": "~/static/js/main.js.map", "source_map_reference": "main.js.map", "source_file_lookup_result": "found", "source_map_lookup_result": "found" }, "scraping_process": { "source_file": { "url": "https://example.com/static/js/main.js", "status": "success" }, "source_map": { "url": "https://example.com/static/js/main.js.map", "status": "success" } } } ] } ], "has_debug_ids": true, "min_debug_id_sdk_version": "7.56.0", "sdk_version": "7.60.0", "project_has_some_artifact_bundle": true, "release_has_some_artifact": true, "has_uploaded_some_artifact_with_a_debug_id": true, "sdk_debug_id_support": "full", "has_scraping_data": true }
Was this helpful?